<?xml version="1.0" encoding="UTF-8"?>
<!--
   Copyright 2018 Anyware Services

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
   -->
<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
		xmlns:sitemap="http://www.ametys.org/inputdata/sitemap/3.0"
		xmlns:xalan="http://xml.apache.org/xalan"
		xmlns:ametys="org.ametys.web.transformation.xslt.AmetysXSLTHelper"
        xmlns:resolver="org.ametys.cms.transformation.xslt.ResolveURIComponent"
		xmlns:date="http://exslt.org/dates-and-times" extension-element-prefixes="date"
		exclude-result-prefixes="sitemap ametys resolver">

	<xsl:import href="skin://stylesheets/main.xsl" />

     <xsl:template name="main-content">
        <div class="ametys-main-content">
            <div class="container">
                <zone name="default" level="1"/>
            </div>
        </div>
    </xsl:template>
    
    <xsl:template name="main-banner">
        <xsl:variable name="bgImg"><xsl:call-template name="main-banner-background-url"/></xsl:variable>
        <div class="ametys-main-banner" style="background-image: url({ametys:escapeURLforCSS($bgImg)});">
                
            <div class="ametys-main-banner-inner">
                
                <div class="container">
            
                    <xsl:call-template name="breadcrumb"/>
                    
                    <xsl:call-template name="page-title"/>
                </div>
            </div>
        </div>
    </xsl:template>
    
    <xsl:template name="page-title">
        <h1 class="ametys-main-banner__title"><xsl:value-of select="/cms/page/@title"/></h1>
    </xsl:template>
    
    <xsl:template name="main-banner-background-url">
        <xsl:value-of select="ametys:skinURL('templates/common/img/banners/banner-2.jpg')"/>
    </xsl:template>
    
</xsl:stylesheet>